#address .text 0x49A80000
#address .data 0x49AC0000

#target /shlib/libSM.LIBREV_s

#branch
      SmFreeProperty 1
      SmFreeReasons  2
      SmcClientID 3
      SmcCloseConnection 4
      SmcDeleteProperties 5
      SmcGetIceConnection 6
      SmcGetProperties 7 
      SmcInteractDone 8
      SmcInteractRequest 9
      SmcModifyCallbacks 10
      SmcOpenConnection 11
      SmcProtocolRevision 12
      SmcProtocolVersion 13
      SmcRelease 14
      SmcRequestSaveYourself 15
      SmcRequestSaveYourselfPhase2 16
      SmcSaveYourselfDone 17
      SmcSetErrorHandler 18
      SmcSetProperties 19
      SmcVendor 20
      SmsCleanUp 21
      SmsClientHostName 22
      SmsClientID 23
      SmsDie 24
      SmsGenerateClientID 25
      SmsGetIceConnection 26-27
      SmsInitialize 28
      SmsInteract 29
      SmsProtocolRevision 30
      SmsProtocolVersion 31
      SmsRegisterClientReply 32
      SmsReturnProperties 33
      SmsSaveComplete 34
      SmsSaveYourself 35
      SmsSaveYourselfPhase2 36
      SmsSetErrorHandler 37
      SmsShutdownCancelled 38

#objects
	auxshlib.o
	sm_client.o 
	sm_genid.o 
	sm_manager.o 
	sm_process.o 
	sm_error.o 
	sm_misc.o 
	sm_auth.o

#init sm_client.o
	_IcePoMagicCookie1Proc _SMptr__IcePoMagicCookie1Proc
	_IcePaMagicCookie1Proc _SMptr__IcePaMagicCookie1Proc
	IceRegisterForProtocolSetup _SMptr_IceRegisterForProtocolSetup
	getenv _SMptr_getenv
	IceOpenConnection _SMptr_IceOpenConnection
	malloc _SMptr_malloc
	strncpy _SMptr_strncpy
	IceCloseConnection _SMptr_IceCloseConnection
	IceProtocolSetup _SMptr_IceProtocolSetup
	free _SMptr_free
	memset _SMptr_memset
	strlen _SMptr_strlen
	IceFlush _SMptr_IceFlush
	memcpy _SMptr_memcpy
	IceLastSentSequenceNumber _SMptr_IceLastSentSequenceNumber
	IceProcessMessages _SMptr_IceProcessMessages
	strcpy _SMptr_strcpy
	IceProtocolShutdown _SMptr_IceProtocolShutdown
	IceSetShutdownNegotiation _SMptr_IceSetShutdownNegotiation
	IceAllocScratch _SMptr_IceAllocScratch
	_IceWrite _SMptr__IceWrite

#init sm_error.o
	_iob _SMptr__iob
	fprintf _SMptr_fprintf
	exit _SMptr_exit

#init sm_genid.o
	gethostname _SMptr_gethostname
	gethostbyname _SMptr_gethostbyname
	inet_ntoa _SMptr_inet_ntoa
	strchr _SMptr_strchr
	strncpy _SMptr_strncpy
	atoi _SMptr_atoi
	strcat _SMptr_strcat
	getpid _SMptr_getpid
	time _SMptr_time
	sprintf _SMptr_sprintf
	strlen _SMptr_strlen
	malloc _SMptr_malloc
	strcpy _SMptr_strcpy
	_IceTransGetPeerNetworkId _SMptr__IceTransGetPeerNetworkId

#init sm_manager.o
	IceRegisterForProtocolReply _SMptr_IceRegisterForProtocolReply
	strncpy _SMptr_strncpy
	free _SMptr_free
	malloc _SMptr_malloc
	strlen _SMptr_strlen
	strcpy _SMptr_strcpy
	memset _SMptr_memset
	_IceTransGetPeerNetworkId _SMptr__IceTransGetPeerNetworkId
	IceFlush _SMptr_IceFlush
	memcpy _SMptr_memcpy
	IceAllocScratch _SMptr_IceAllocScratch
	_IceWrite _SMptr__IceWrite
	IceProtocolShutdown _SMptr_IceProtocolShutdown

#init sm_misc.o
	free _SMptr_free
	strlen _SMptr_strlen
	malloc _SMptr_malloc
	strcpy _SMptr_strcpy

#init sm_process.o
	_IceReadSkip _SMptr__IceReadSkip
	_IceRead _SMptr__IceRead
	malloc _SMptr_malloc
	_IceErrorBadLength _SMptr__IceErrorBadLength
	memcpy _SMptr_memcpy
	_IceErrorBadValue _SMptr__IceErrorBadValue
	free _SMptr_free
	_IceErrorBadState _SMptr__IceErrorBadState
	_IceErrorBadMinor _SMptr__IceErrorBadMinor
	strlen _SMptr_strlen
