	.file	"auxmemcpy.s"
	.text
	.globl cerror
cerror:
	movel	_X11ptr_errno,%a0
	movel	%d0,%a0@
	moveq	#-1,%d0
	movel	%d0,%a0
	rts
	
	.globl	select
select:
	moveml	%d2/%a2,%sp@-
	moveq	#82,%d0
	movel	%sp@(12),%a0
	movel	%sp@(16),%d1
	movel	%sp@(20),%a1
	movel	%sp@(24),%d2
	movel	%sp@(28),%a2
	trap	#15
	moveml	%sp@+,%d2/%a2
	jcs	cerror
	rts

	.globl stat
stat:
	moveq	#125,%d0
	movel	%sp@(4),%a0
	movel	%sp@(8),%d1
	trap	#15
	jcs	cerror
	rts

	.globl	time
time:
	moveq	#13,%d0
	trap	#0
	jcs	cerror
	movel	%sp@(4),%d1
	jeq	1f
	movel	%d1,%a0
	movel	%d0,%a0@
1:	rts

	.globl	close
close:
	moveq	#6,%d0
	trap	#0
	jcs	cerror
	moveq	#0,%d0
	rts

	.globl	strchr
strchr:
 	movel	%sp@(4),%a0
 	moveb	%sp@(11),%d0
1:	cmpb	%a0@,%d0
 	jeq	2f
 	tstb	%a0@+
 	jne	1b
 	subl	%a0,%a0
2:	movel	%a0,%d0
 	rts

	.globl write
write:
	moveq	#4,%d0
	trap	#0
	jcs	cerror
	rts

	.globl	read
read:
	moveq	#3,%d0
	trap	#0
	jcs	cerror
	rts
	.globl	connect
connect:
	moveq	#72,%d0
	movel	%sp@(4),%a0
	movel	%sp@(8),%d1
	movel	%sp@(12),%a1
	trap	#15
	jcs	cerror
	rts

	.globl	memcpy
memcpy:	movel	%sp@(4),%a0
	movel	%sp@(8),%a1
	movel	%sp@(12),%d0
	jle	4f
	jra	3f
1:	swap	%d0
2:	moveb	%a1@+,%a0@+
3:	dbra	%d0,2b
	swap	%d0
	dbra	%d0,1b
4:	movel	%sp@(4),%a0
	movel	%a0,%d0
	rts

	.globl  shutdown
shutdown:
	movel	#91,%d0
	moveal	%sp@(4),%a0
	movel	%sp@(8),%d1
	trap	#15
	jcs	cerror
	rts
