#address .text 0x49B00000
#address .data 0x49B40000

#target /shlib/libICE.LIBREV_s

#branch
 IceAcceptConnection 1
 IceAddConnectionWatch 2
 IceAllocScratch 3
 IceAppLockConn 4
 IceAppUnlockConn 5
 IceAuthFileName 6
 IceCheckShutdownNegotiation 7
 IceCloseConnection 8
 IceComposeNetworkIdList 9
 IceConnectionNumber 10
 IceConnectionStatus 11
 IceConnectionString 12
 IceFlush 13
 IceFreeAuthFileEntry 14
 IceFreeListenObjs 15
 IceGenerateMagicCookie 16
 IceGetAuthFileEntry 17
 IceGetConnectionContext 18
 IceGetInBufSize 19
 IceGetListenConnectionNumber 20
 IceGetListenConnectionString 21
 IceGetOutBufSize 22
 IceInitThreads 23
 IceLastReceivedSequenceNumber 24
 IceLastSentSequenceNumber 25
 IceListenForConnections 26
 IceLockAuthFile 27
 IceOpenConnection 28
 IcePing 29
 IceProcessMessages 30
 IceProtocolRevision 31
 IceProtocolSetup 32
 IceProtocolShutdown 33
 IceProtocolVersion 34
 IceReadAuthFileEntry 35
 IceRegisterForProtocolReply 36
 IceRegisterForProtocolSetup 37
 IceRelease 38
 IceRemoveConnectionWatch 39
 IceSetErrorHandler 40
 IceSetHostBasedAuthProc 41
 IceSetIOErrorHandler 42
 IceSetPaAuthData 43
 IceSetShutdownNegotiation 44
 IceSwapping 45
 IceUnlockAuthFile 46
 IceVendor 47
 IceWriteAuthFileEntry 48
 _IceTransGetPeerAddr 49
 _IceTransGetPeerNetworkId 50
 _IceErrorBadMinor 51
 _IceErrorBadLength 52
 _IceErrorBadState 53
 _IceErrorBadValue 54
 _IcePaMagicCookie1Proc 55
 _IcePoMagicCookie1Proc 56
 _IceRead 57
 _IceReadSkip 58
 _IceWrite 59

#objects
	auxshlib.o
	auxmemcpy.o
	accept.o 
       authutil.o 
       connect.o 
       error.o 
       getauth.o 
       iceauth.o 
       listen.o 
       locking.o 
       misc.o 
       ping.o 
       process.o 
       protosetup.o 
       register.o 
       replywait.o 
       setauth.o 
       shutdown.o 
       transport.o 
       watch.o

#init accept.o
	malloc _ICEptr_malloc
	strlen _ICEptr_strlen
	strcpy _ICEptr_strcpy
	free _ICEptr_free

#init authutil.o
	getenv _ICEptr_getenv
	strlen _ICEptr_strlen
	free _ICEptr_free
	malloc _ICEptr_malloc
	strcpy _ICEptr_strcpy
	strcat _ICEptr_strcat
	time _ICEptr_time
	unlink _ICEptr_unlink
	creat _ICEptr_creat
	errno _ICEptr_errno
	close _ICEptr_close
	link _ICEptr_link
	sleep _ICEptr_sleep
	access _ICEptr_access
	fopen _ICEptr_fopen
	strcmp _ICEptr_strcmp
	fclose _ICEptr_fclose
	fread _ICEptr_fread
	fwrite _ICEptr_fwrite

#init auxmemcpy.o
	errno _ICEptr_errno

#init connect.o
	strstr _ICEptr_strstr
	strlen _ICEptr_strlen
	malloc _ICEptr_malloc
	free _ICEptr_free
	strncpy _ICEptr_strncpy
	memcpy _ICEptr_memcpy
	sleep _ICEptr_sleep
	strcpy _ICEptr_strcpy

#init error.o
	memcpy _ICEptr_memcpy
	strlen _ICEptr_strlen
	_iob _ICEptr__iob
	fprintf _ICEptr_fprintf
	malloc _ICEptr_malloc
	exit _ICEptr_exit

#init getauth.o
	malloc _ICEptr_malloc
	memcpy _ICEptr_memcpy
	strcmp _ICEptr_strcmp
	access _ICEptr_access
	fopen _ICEptr_fopen
	fclose _ICEptr_fclose

#init iceauth.o
	malloc _ICEptr_malloc
	gettimeofday _ICEptr_gettimeofday
	srand _ICEptr_srand
	rand _ICEptr_rand
	strlen _ICEptr_strlen
	strcpy _ICEptr_strcpy
	free _ICEptr_free

#init listen.o
	strncpy _ICEptr_strncpy
	malloc _ICEptr_malloc
	free _ICEptr_free
	strlen _ICEptr_strlen
	strcpy _ICEptr_strcpy
	strcat _ICEptr_strcat

#init misc.o
	free _ICEptr_free
	malloc _ICEptr_malloc
	strlen _ICEptr_strlen
	strcpy _ICEptr_strcpy
	memcpy _ICEptr_memcpy

#init ping.o
	malloc _ICEptr_malloc

#init process.o
	memcpy _ICEptr_memcpy
	strlen _ICEptr_strlen
	malloc _ICEptr_malloc
	free _ICEptr_free
	strcpy _ICEptr_strcpy
	sprintf _ICEptr_sprintf
	strcmp _ICEptr_strcmp

#init protosetup.o
	strncpy _ICEptr_strncpy
	malloc _ICEptr_malloc
	strlen _ICEptr_strlen
	memcpy _ICEptr_memcpy
	free _ICEptr_free

#init register.o
	strcmp _ICEptr_strcmp
	malloc _ICEptr_malloc
	strlen _ICEptr_strlen
	strcpy _ICEptr_strcpy
	memcpy _ICEptr_memcpy

#init replywait.o
	malloc _ICEptr_malloc
	free _ICEptr_free

#init setauth.o
	strcmp _ICEptr_strcmp
	free _ICEptr_free
	strlen _ICEptr_strlen
	malloc _ICEptr_malloc
	strcpy _ICEptr_strcpy
	memcpy _ICEptr_memcpy

#init shutdown.o
	free _ICEptr_free

#init transport.o
	strcmp _ICEptr_strcmp
	getsockname _ICEptr_getsockname
	malloc _ICEptr_malloc
	memcpy _ICEptr_memcpy
	getpeername _ICEptr_getpeername
	calloc _ICEptr_calloc
	socket _ICEptr_socket
	free _ICEptr_free
	setsockopt _ICEptr_setsockopt
	bind _ICEptr_bind
	errno _ICEptr_errno
	sleep _ICEptr_sleep
	listen _ICEptr_listen
	close _ICEptr_close
	getservbyname _ICEptr_getservbyname
	atoi _ICEptr_atoi
	umask _ICEptr_umask
	mkdir _ICEptr_mkdir
	chmod _ICEptr_chmod
	sprintf _ICEptr_sprintf
	getpid _ICEptr_getpid
	strlen _ICEptr_strlen
	unlink _ICEptr_unlink
	accept _ICEptr_accept
	strncpy _ICEptr_strncpy
	_ctype _ICEptr__ctype
	inet_addr _ICEptr_inet_addr
	gethostbyname _ICEptr_gethostbyname
	connect _ICEptr_connect
	ioctl _ICEptr_ioctl
	read _ICEptr_read
	write _ICEptr_write
	readv _ICEptr_readv
	writev _ICEptr_writev
	shutdown _ICEptr_shutdown
	tolower _ICEptr_tolower
	strcpy _ICEptr_strcpy
	strpbrk _ICEptr_strpbrk
	fcntl _ICEptr_fcntl
	gethostname _ICEptr_gethostname
	longjmp _ICEptr_longjmp
	signal _ICEptr_signal
	alarm _ICEptr_alarm
	setjmp _ICEptr_setjmp
	gethostbyaddr _ICEptr_gethostbyaddr
	strcat _ICEptr_strcat

#init watch.o
	malloc _ICEptr_malloc
	free _ICEptr_free
	