#address .text 0x49A00000
#address .data 0x49A40000

#target /shlib/libXIE.LIBREV_s

#branch
        XieAbort 1
        XieAllocatePhotofloGraph 2
        XieAwait 3
        XieCreateColorList 4
        XieCreateLUT 5
        XieCreatePhotoflo 6
        XieCreatePhotomap 7
        XieCreatePhotospace 8
        XieCreateROI 9
        XieDestroyColorList 10
        XieDestroyLUT 11
        XieDestroyPhotoflo 12
        XieDestroyPhotomap 13
        XieDestroyPhotospace 14
        XieDestroyROI 15
        XieExecuteImmediate 16
        XieExecutePhotoflo 17
        XieFloArithmetic 18
        XieFloBandCombine 19
        XieFloBandExtract 20
        XieFloBandSelect 21
        XieFloBlend 22
        XieFloCompare 23
        XieFloConstrain 24
        XieFloConvertFromIndex 25
        XieFloConvertFromRGB 26
        XieFloConvertToIndex 27
        XieFloConvertToRGB 28
        XieFloConvolve 29
        XieFloDither 30
        XieFloExportClientHistogram 31
        XieFloExportClientLUT 32
        XieFloExportClientPhoto 33
        XieFloExportClientROI 34
        XieFloExportDrawable 35
        XieFloExportDrawablePlane 36
        XieFloExportLUT 37
        XieFloExportPhotomap 38
        XieFloExportROI 39
        XieFloGeometry 40
        XieFloImportClientLUT 41
        XieFloImportClientPhoto 42
        XieFloImportClientROI 43
        XieFloImportDrawable 44
        XieFloImportDrawablePlane 45
        XieFloImportLUT 46
        XieFloImportPhotomap 47
        XieFloImportROI 48
        XieFloLogical 49
        XieFloMatchHistogram 50
        XieFloMath 51
        XieFloPasteUp 52
        XieFloPoint 53
        XieFloUnconstrain 54
        XieFreeEncodeJPEGBaseline 55
        XieFreeEncodeJPEGLossless 56
        XieFreePasteUpTiles 57
        XieFreePhotofloGraph 58
        XieFreeTechniques 59
        XieGetClientData 60
        XieInitialize 61
        XieModifyPhotoflo 62
        XiePurgeColorList 63
        XiePutClientData 64
        XieQueryColorList 65
        XieQueryPhotoflo 66
        XieQueryPhotomap 67
        XieQueryTechniques 68
        XieRedefinePhotoflo 69
        XieTecCIELabToRGB 70
        XieTecCIEXYZToRGB 71
        XieTecClipScale 72 
        XieTecColorAllocAll 73
        XieTecColorAllocMatch 74
        XieTecColorAllocRequantize 75
        XieTecConvolveConstant 76
        XieTecDecodeG31D 77
        XieTecDecodeG32D 78 
        XieTecDecodeG42D 79
        XieTecDecodeJPEGBaseline 80
        XieTecDecodeJPEGLossless 81
        XieTecDecodeTIFF2 82
        XieTecDecodeTIFFPackBits  83
        XieTecDecodeUncompressedSingle 84
        XieTecDecodeUncompressedTriple 85
        XieTecDitherOrderedParam 86
        XieTecEncodeG31D 87
        XieTecEncodeG32D 88
        XieTecEncodeG42D 89
        XieTecEncodeJPEGBaseline 90
        XieTecEncodeJPEGLossless 91
        XieTecEncodeServerChoice 92
        XieTecEncodeTIFF2 93
        XieTecEncodeTIFFPackBits 94
        XieTecEncodeUncompressedSingle 95
        XieTecEncodeUncompressedTriple 96
        XieTecGeomAntialiasByArea 97
        XieTecGeomAntialiasByLowpass 98
        XieTecGeomGaussian 99
        XieTecGeomNearestNeighbor  100
        XieTecHistogramGaussian 101
        XieTecHistogramHyperbolic 102
        XieTecRGBToCIELab 103
        XieTecRGBToCIEXYZ 104
        XieTecRGBToYCC 105
        XieTecRGBToYCbCr 106
        XieTecWhiteAdjustCIELabShift 107
        XieTecYCCToRGB 108
        XieTecYCbCrToRGB 109

#objects
	auxshlib.o
	abort.o 
       await.o 
       clientdata.o 
       colorlist.o 
       conven.o 
       elements.o 
       errors.o 
       events.o 
       free.o 
       ieee.o 
       init.o 
       lut.o 
       photoflo.o 
       photomap.o 
       photospace.o 
       roi.o 
       technique.o 
       utils.o

#init abort.o
	_XFlush _XIEptr__XFlush

#init await.o
	_XFlush _XIEptr__XFlush

#init clientdata.o
	_XFlush _XIEptr__XFlush
	memcpy _XIEptr_memcpy
	_XSend _XIEptr__XSend
	_XReply _XIEptr__XReply
	malloc _XIEptr_malloc
	_XReadPad _XIEptr__XReadPad

#init colorlist.o
	_XFlush _XIEptr__XFlush
	_XReply _XIEptr__XReply
	malloc _XIEptr_malloc
	_XRead _XIEptr__XRead

#init conven.o
	malloc _XIEptr_malloc
	memcpy _XIEptr_memcpy

#init free.o
	free _XIEptr_free

#init init.o
	XInitExtension _XIEptr_XInitExtension
	malloc _XIEptr_malloc
	_XFlush _XIEptr__XFlush
	_XReply _XIEptr__XReply
	_XRead _XIEptr__XRead
	XESetCloseDisplay _XIEptr_XESetCloseDisplay
	XESetWireToEvent _XIEptr_XESetWireToEvent
	XESetWireToError _XIEptr_XESetWireToError
	XESetPrintErrorValues _XIEptr_XESetPrintErrorValues
	_XAllocTemp _XIEptr__XAllocTemp
	memcpy _XIEptr_memcpy
	_XFreeTemp _XIEptr__XFreeTemp
	free _XIEptr_free
	fprintf _XIEptr_fprintf

#init lut.o
	_XFlush _XIEptr__XFlush

#init photoflo.o
	malloc _XIEptr_malloc
	memset _XIEptr_memset
	_XFlush _XIEptr__XFlush
	_XAllocScratch _XIEptr__XAllocScratch
	memcpy _XIEptr_memcpy
	_XSend _XIEptr__XSend
	_XReply _XIEptr__XReply
	_XAllocTemp _XIEptr__XAllocTemp
	_XReadPad _XIEptr__XReadPad
	_XFreeTemp _XIEptr__XFreeTemp

#init photomap.o
	_XFlush _XIEptr__XFlush
	_XReply _XIEptr__XReply

#init photospace.o
	_XFlush _XIEptr__XFlush
	_XAllocScratch _XIEptr__XAllocScratch
	memcpy _XIEptr_memcpy
	_XSend _XIEptr__XSend

#init roi.o
	_XFlush _XIEptr__XFlush

#init technique.o
	memcpy _XIEptr_memcpy

#init utils.o
	malloc _XIEptr_malloc
	free _XIEptr_free
